import service from '@/utils/request'

// @tag goods
// @summary 获取vip列表
// @param {object} params
// @return {object} data
// @router get /vip/list
export const list = (params) => {
    return service({
        url: '/vip/list',
        method: 'get',
        params
    })
}

export const add = (data) => {
    return service({
        url: '/vip',
        method: 'post',
        data
    })
}
export const edit = (data) => {
    return service({
        url: '/vip',
        method: 'put',
        data
    })
}
export const del = (data) => {
    return service({
        url: '/vip',
        method: 'delete',
        data
    })
}
export const detail = (id) => {
    return service({
        url: '/vip/'+ id,
        method: 'get',
    })
}
